local addon, private = ...

local Options = CreateFrame("Frame", "SQSOptions", InterfaceOptionsFramePanelContainer);
Options.name = addon;
InterfaceOptions_AddCategory(Options);

function private.ShowOptions()
	InterfaceOptionsFrame_OpenToCategory(Options);
end;

Options:Hide();
Options:SetScript("OnShow", function(self)

	local function makeCheckbox(label, description, onClick)
		local check = CreateFrame("CheckButton", "SQS_Checkbox_"..label, self, "InterfaceOptionsCheckButtonTemplate");
		check:SetScript("OnClick", function(self)
			-- 856 = igMainMenuOptionCheckBoxOn
			-- 857 = igMainMenuOptionCheckBoxOff
			local click = self:GetChecked() and 856 or 857
			PlaySound(click)
			onClick(self, self:GetChecked() and true or false)
		end);
		check.label = _G[check:GetName().."Text"];
		check.label:SetText(label);
		check.tooltipText = label;
		check.tooltipRequirement = description;
		return check;
	end;
	
	-- Title
	local TitleOptions = self:CreateFontString("$parentTitleOptions", "ARTWORK", "GameFontNormalLarge");
	TitleOptions:SetPoint("TOPLEFT", 16, -16);
	TitleOptions:SetText("|cffaad372"..addon.." |r");
	
	-- Text
	local TextOptions = self:CreateFontString("$parentTitleOptions", "ARTWORK", "GameFontNormalSmall");
	TextOptions:SetPoint("TOPLEFT", TitleOptions, "BOTTOMLEFT", 0, -12);
	TextOptions:SetJustifyH("left")
	TextOptions:SetText("I keep this Addon minimalistic, so the options here a rather tiny compared to some other addons.\nActually I currently add just some toggle for experimental features.\nFor mor Information please read and comment on the Curseforge project website or github.\n\n|cffa330c9- And so fate shall provide you with epic drops -\n\n|cffaad372Thanks\nAuthor: Wildnis  (druid, EU-Lakeshire, Horde)\n");

	-- Display On/Off OOM
	local DisplayLock = makeCheckbox(
		"OOM显示(缺蓝显示)",									-- label
		"变形按钮将是灰色的，如果缺蓝的话。（实验性功能）",	-- description
		function(self, value)
			SQS.OOM = value
		end);	-- onClick
	DisplayLock:SetChecked(SQS.OOM);
	DisplayLock:SetPoint("TOPLEFT", TextOptions, "BOTTOMLEFT", 0, -12);

	-- Display On/Off Powershift
	local DisplayLock2 = makeCheckbox(
		"变形控制",									-- label
		"如果启用,允许你通过选择形态而变形.游戏会使你再次回到施法者和同样的形式. 如果禁用，如果您已经在处于该形态，则按钮将忽略屏蔽. (实验性功能, 需要重载ui才能生效)",	-- description
		function(self, value)
			SQS.PWRSHIFT = value
		end);	-- onClick
	DisplayLock2:SetChecked(SQS.PWRSHIFT);
	DisplayLock2:SetPoint("TOPLEFT", DisplayLock, "BOTTOMLEFT", 0, -12);

	-- Display On/Off GCD / Spell Check
	local DisplayLock3 = makeCheckbox(
		"GCD / 施法警报",									-- label
		"如果启用，形态按钮上将显示活动的全局冷却GCD. 它只是一个活动的GCD冷却的视觉提醒.",	-- description
		function(self, value)
			SQS.GCD = value
		end);	-- onClick
	DisplayLock3:SetChecked(SQS.GCD);
	DisplayLock3:SetPoint("TOPLEFT", DisplayLock2, "BOTTOMLEFT", 0, -12);

	-- Display Disable mounting options
	local DisplayLock4 = makeCheckbox(
		"禁用坐骑",									-- label
		"如果选中此功能，则此插件项将不提供任何上马/下马选项; 如果未选中，则插件搜索坐骑并提供上马按钮.",	-- description
		function(self, value)
			SQS.disableMount = value
		end);	-- onClick
	DisplayLock4:SetChecked(SQS.disableMount);
	DisplayLock4:SetPoint("TOPLEFT", DisplayLock3, "BOTTOMLEFT", 0, -12);

	self:SetScript("OnShow", nil);
end);

-- end
